aboutsummaryrefslogtreecommitdiffstats
path: root/app-office/beancount
diff options
context:
space:
mode:
authorWynn Wolf Arbor2020-02-09 20:25:52 +0100
committerWynn Wolf Arbor2020-02-09 20:52:42 +0100
commit0817d9537e526d909a76022f5bc98b265ee61f15 (patch)
tree68d168f8d92e6d4bcbffe61cd2883cfb8c28fab5 /app-office/beancount
parent69937db2eeb5f3f03222fbd305f4471a1922fab6 (diff)
downloadpramantha-0817d9537e526d909a76022f5bc98b265ee61f15.tar.gz
app-office/beancount: Add 2.2.3
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Diffstat (limited to 'app-office/beancount')
-rw-r--r--app-office/beancount/Manifest3
-rw-r--r--app-office/beancount/beancount-2.2.3.ebuild49
-rw-r--r--app-office/beancount/metadata.xml7
3 files changed, 59 insertions, 0 deletions
diff --git a/app-office/beancount/Manifest b/app-office/beancount/Manifest
new file mode 100644
index 0000000..0671172
--- /dev/null
+++ b/app-office/beancount/Manifest
@@ -0,0 +1,3 @@
+DIST beancount-2.2.3.tar.gz 604034 BLAKE2B 00fedb303f37bbb5e20e0f0b6cc7b474957edba1643d1cfe7c44438d61c85213d115a794a501da9af595ad36387f1013d8bfe352c34f9fdcfdf5c06a83215680 SHA512 850875fd7b28ca2b861111d1d2b90b2e2f01e1e6fcc729c7983fca9b3b60409cf9cd3d13e0b5fa0ba617659db5088607ad05dbc87ad3672476b2b5744d58c47b
+EBUILD beancount-2.2.3.ebuild 1400 BLAKE2B 2e49ba5d30451eb13f1dff80621d581810c71bb98ad50fbc8456963cee67d073fc83ef47dd028ba999388d2834da04588b4f859868589e9c508be5f57bbf443b SHA512 7d918dcc3fb4fdf33894955e4fcf3c9200200bdfb8eff1c1d9d1dd340089b184a084b85821073235cfeca992e9482a73e5e4185c98cad2458d8b39a3e7e4be66
+MISC metadata.xml 219 BLAKE2B 4017e2b1f6b36f72c186cfeb0955be57076a02d087acfd6caf9b9ec56509b5299be8d40dddaffd04433bb290f6dd35c94c59ac02a4f1ad7e63b13648e465e594 SHA512 555d3bce3f8cd9b4d78f59f494c326d7893f12c1907c1eb92107595886fc4a5e89b8b9fda7f434e021a9eede5dfd6d0c1dfee721c268ccad3d6a1865a92204e0
diff --git a/app-office/beancount/beancount-2.2.3.ebuild b/app-office/beancount/beancount-2.2.3.ebuild
new file mode 100644
index 0000000..401ac15
--- /dev/null
+++ b/app-office/beancount/beancount-2.2.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+DISTUTILS_USE_SETUPTOOLS="rdepend"
+
+inherit distutils-r1 elisp-common
+
+DESCRIPTION="Command-line Double-Entry Accounting"
+HOMEPAGE="http://furius.ca/beancount https://pypi.org/project/beancount"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="emacs"
+
+SITEFILE="50{PN}-mode-gentoo.el"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/bottle-0.12[${PYTHON_USEDEP}]
+ >=dev-python/ply-3.4[${PYTHON_USEDEP}]
+ >=dev-python/lxml-3.0[${PYTHON_USEDEP}]
+ >=dev-python/google-api-python-client-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/oauth2client-4.0[${PYTHON_USEDEP}]
+ >=dev-python/httplib2-0.10[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.0[${PYTHON_USEDEP}]
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ >=dev-python/python-magic-0.4.12[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ "
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_compile_all() {
+ use emacs && elisp-compile editors/emacs/beancount.el
+}
+
+python_install_all() {
+ rm -rf "${ED}/usr/elisp" || die "removing erroneous elisp files failed"
+
+ distutils-r1_python_install_all
+
+ if use emacs; then
+ elisp-install ${PN} editors/emacs/beancount.el
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+ fi
+}
diff --git a/app-office/beancount/metadata.xml b/app-office/beancount/metadata.xml
new file mode 100644
index 0000000..c544433
--- /dev/null
+++ b/app-office/beancount/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>wolf@oriole.systems</email>
+ </maintainer>
+</pkgmetadata>